Subject: bug#50212: Several tests fail, Bash fails often. Was: Tests fail while building Guix

From: Simon Streit <[email-masked]>
Date: Fri, 27 Aug 2021 21:53:29 +0200

This is another follow up after having actually read the relevant info
section on how to do proper testing in Guix.

Checkout is at 5422920b9eaaa0c6bf779588748595c66ca86ba3, and this time I
prepared a test-suite.log with all errors that happen.  Please find it
attached.  This time it isn't too big either.

Unfortunately ‘tests/processes.scm’ hangs too, or remains unresponsive
after several minutes.

I really wonder what is making all the tests fail.  I've tried building
the sources on different machines, or on clean user accounts.  They all
fail in the same way.  Has someone else been experiencing this yet?

Kind regards,
Simon